<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<script>
function test()
{
    var ruby = document.getElementById('r');
    var text = document.getElementById('t');
    var newText = document.createTextNode('工業');
    ruby.insertBefore(newText, t);    
}
</script>
</head>
<body onload="test()">
<p>The following is a test for DOM manipulation within &lt;ruby&gt;: Inserting a new text before another text of a ruby base.</p>
<p>Both lines should look identical (the first line is the one manipulated).</p>
<br>
<br>
<p>準太郎は<ruby id="r"><span id="t">大学</span><rt>こうぎょうだいがく</rt></ruby>から卒業しました。</p>
<p>準太郎は<ruby>工業<span>大学</span><rt>こうぎょうだいがく</rt></ruby>から卒業しました。</p>
</body>
</html>
